Name: libXft
Version: 2.3.3
Release: 3
License: X11
Summary: X.Org X11 libXft runtime library
URL: http://www.x.org

Source0: http://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: expat-devel
BuildRequires: fontconfig-devel >= 2.5.0
BuildRequires: freetype-devel >= 2.3.5
BuildRequires: libtool
BuildRequires: pkg-config


BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: libxcb-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros

%description
X.Org X11 libXft runtime library

%package -n libXft2
Summary: X.Org X11 libXft runtime library
Conflicts: libXft
Obsoletes: libXft

%description -n libXft2
X.Org X11 libXft development package

%package devel
Summary: X.Org X11 libXft development package
Requires: libXft2 = %{version}-%{release}
Requires: xorg-x11-proto-devel

%description devel
X.Org X11 libXft development package

%prep
%setup -q

%build

export CONFIG_SHELL=%{_bindir}/bash
export CONFIG_ENV_ARGS=%{_bindir}/bash

autoreconf -fiv
%configure \
    LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    --with-aix-soname=svr4 \
    --enable-shared \
    --disable-static \
    #end

%make_build

%check
make check

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libXft2
%defattr(-, qsys, *none)
%license COPYING
%doc AUTHORS README.md
%{_libdir}/libXft.so.2

%files devel
%defattr(-, qsys, *none)
%{_includedir}/X11/Xft/Xft.h
%{_includedir}/X11/Xft/XftCompat.h
%{_libdir}/libXft.so
%{_libdir}/pkgconfig/xft.pc
%{_mandir}/man3/Xft.3*

%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 2.3.3
- Obsolete and Conflict old package name provided by qsecofr repo

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 2.3.3
- Add missing header file requirements from xorg-x11-proto-devel

* Tue Aug 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> 2.3.3
- Initial spec
